%define upstream_name    Dist-Zilla-Plugin-AssertOS
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Require that our distribution is running on a particular OS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Compare) >= 1.220.0
BuildRequires: perl(Devel::CheckOS) >= 1.630.0
BuildRequires: perl(Dist::Zilla) >= 4.101.582
BuildRequires: perl(Dist::Zilla::Role::MetaProvider) >= 4.101.582
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildArch:  noarch

%description
Dist::Zilla::Plugin::AssertOS is a Dist::Zilla plugin that
integrates Devel::AssertOS so that CPAN authors may easily
stipulate which particular OS environments their distributions may be built
and installed on.

The author specifies which OS or OS families are supported. The necessary
Devel::AssertOS files are copied to the 'inc/' directory and
'Makefile.PL' is mangled to include the necessary incantation.

On the module user side, the bundled 'inc/' Devel::AssertOS
determines whether the current environment is supported or not and will die
accordingly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-6.mga10
+ Revision: 2203582
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-5.mga9
+ Revision: 1808834
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-4.mga8
+ Revision: 1503933
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1282979
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.80.0-2.mga7
+ Revision: 1164093
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1156088
- update to 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1025818
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 948169
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 749151
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 539264
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.60.0-1.mga4
+ Revision: 491713
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 366037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 24 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 58885
- update to 0.04

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 40356
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-AssertOS

